Skip to content

getEmployeeAbilities

READ

Get employee abilities.

POST /api/v1/resources/getEmployeeAbilities
curl -X POST '<your-host>/api/v1/resources/getEmployeeAbilities' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employeeId": "string"
  }'
Response
{
  "results": [
    {
      "abilityId": "string",
      "companyId": "string",
      "createdAt": "string",
      "employeeId": "string",
      "expiresAt": "string",
      "id": "string",
      "lastTrainingDate": "string",
      "updatedAt": "string",
      "ability": {
        "id": "string",
        "curve": "…",
        "shadowWeeks": 0,
        "process": {
          "name": "string"
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "employeeId": {
      "type": "string"
    }
  },
  "required": [
    "employeeId"
  ]
}